# Package org.apache.ignite.internal.client.thin

Class Summary
ClientCacheAffinityContext: Client cache partition awareness context.
ClientCacheAffinityMapping: Affinity mapping (partition to nodes) for each cache.
ProtocolVersion: Thin client protocol version.
TcpIgniteClient: Implementation of `IgniteClient` over TCP protocol.

Exception Summary
ClientServerError: Ignite server failed to process client request.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020